%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-js-yaml
Version:    2.1.3
Release:    1%{?dist}
Summary:    YAML 1.2 parser and serializer
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/nodeca/js-yaml
Source0:    http://registry.npmjs.org/js-yaml/-/js-yaml-%{version}.tgz
# The test/ directory is not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(esprima)
BuildRequires:  npm(mocha)
%endif

%description
This is an implementation of YAML (YAML Ain't Markup Language), a human
friendly data serialization language. It started as PyYAML port, and was
completely rewritten from scratch.  Now it's very fast, and supports the
1.2 spec.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep esprima '~1.1'

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-yaml
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/js-yaml

mkdir -p %{buildroot}%{nodejs_sitelib}/js-yaml/bin
install -p -D -m0755 bin/js-yaml.js \
    %{buildroot}%{nodejs_sitelib}/js-yaml/bin/js-yaml.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/js-yaml/bin/js-yaml.js \
    %{buildroot}%{_bindir}/js-yaml

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%doc HISTORY.md LICENSE README.md examples/
%{nodejs_sitelib}/js-yaml
%{_bindir}/js-yaml


%changelog
* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.3-1
- update to upstream release 2.1.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
- also since the last EL6 build got garbage collected

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.0-2
- add logic for ExclusiveArch macro

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.0-1
- initial package
